PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PIPSocket::sockaddr_wrapper Class Reference

`#include <ipsock.h>`

## Public Member Functions
| sockaddr_wrapper ()
| sockaddr_wrapper (const AddressAndPort &ipPort)
| sockaddr_wrapper (const Address &ip, WORD port)
sockaddr * | operator-> () const
| operator sockaddr * () const
socklen_t | GetSize () const
PIPSocket::Address | GetIP () const
WORD | GetPort () const

## Constructor & Destructor Documentation

PIPSocket::sockaddr_wrapper::sockaddr_wrapper | ( |  | ) |

PIPSocket::sockaddr_wrapper::sockaddr_wrapper | ( | const AddressAndPort & | ipPort | ) |

PIPSocket::sockaddr_wrapper::sockaddr_wrapper | ( | const Address & | ip,
|  | WORD | port
| ) |  |

## Member Function Documentation

PIPSocket::Address PIPSocket::sockaddr_wrapper::GetIP | ( |  | ) | const

WORD PIPSocket::sockaddr_wrapper::GetPort | ( |  | ) | const

socklen_t PIPSocket::sockaddr_wrapper::GetSize | ( |  | ) | const

PIPSocket::sockaddr_wrapper::operator sockaddr * | ( |  | ) | const
| inline

References addr.

sockaddr* PIPSocket::sockaddr_wrapper::operator-> | ( |  | ) | const
| inline

References addr.

## Member Data Documentation

sockaddr* PIPSocket::sockaddr_wrapper::addr

Referenced by operator sockaddr *(), and operator->().

sockaddr_in* PIPSocket::sockaddr_wrapper::addr4

sockaddr_storage* PIPSocket::sockaddr_wrapper::ptr

The documentation for this class was generated from the following file:

- ipsock.h